-- how to make a class a client start class:

local function removeSelf(self) self:delete() end
local function startSpawnClient(self,so) return self.spawningClass:new(so) end

function createClientStartClass(classobj, group, bbox)
	local startClassName = classobj.classname..'Start'
	local startClassObj = entclass(startClassName, Entity)	-- don't forget to subclass entity or the spawnobj ties mess up

	startClassObj.spawningClass = classobj
	startClassObj.think = removeSelf		-- the objects aren't made to exist.  just the spawn object
	startClassObj.spawnClient = startSpawnClient

	Spawnable(startClassObj, 'set a spawnpoint for class '..startClassName, group, bbox)

	return startClassObj
end
