-- stole from LoLo.  superclass or something?
require 'base.scripts.ents'

animLoad('cloud', 'cloud.png')

-- "particle trans... what do we look like, a couple of nerds?"
-- "(dude we totally have a particle transmitter...)"
-- "oh yes, one of those, yeah, we have that."
entclass('Cloud', Renderable)
Cloud.animGroup = 'cloud'
function Cloud:ctor(pos,vel,scale,life)
	Cloud.super.ctor(self)
	self:setPos(pos)
	self:setBlend(BLEND.NONE)
	self.vel = vec2:new(vel)	-- typically an engine collidable thing
	self:setScale(scale)
	self.startTime = getTime()
	self.lifespan = life
end
function Cloud:think()
	Cloud.super.think(self)
	if not self:isActive() then return end
	-- interpolate alpha
	local tau = (getTime() - self.startTime) / self.lifespan
	if tau >= 1 then self:delete() return end

	local alpha = (1-tau)*(1-tau)
	self:setColorW(alpha)

	self:setPos(self.vel * getDeltaTime() + self:getPos())
end

function Puff(pos)
	for i=1,10 do
		local scale = math.random() * 2
		Cloud:new(pos,
			vec2:new(
				math.random()*2-1,
				math.random()*2-1),
			vec2:new(scale + 1),
			5 - scale)
	end
end
