require 'cs582.scripts.lettuce'
require 'cs582.scripts.wolf'
require 'cs582.scripts.goat'

--DO NOT CALL THIS FROM THE MAIN THREAD
function spawnOldLadyGoods(spawnpos, leader)
	local spawnClasses = {Lettuce, Goat, Wolf}
	
	-- make sure not to capitol or it'll overwrite the class objects!
	local globalNames = {'lettuce', 'goat', 'wolf'}
	
	for i = 1,#globalNames do
		local obj = spawnClasses[i]:new()
		_G[globalNames[i]] = obj
		obj:setPos(vec2:new(spawnpos) - vec2:new(0,1))
		obj:setVelY(-10)
		obj.followLeader = leader
		sleep(0.3)
		leader = obj
	end
end