require 'cs582.scripts.follow'

animLoad('wolf', {sprites = {{file='loboverde.png', bbox={-1, -1.5, 1, .5}}}})
entclass('Wolf', FollowEntity)
Wolf.canBePickedUp = true
Wolf.followBounceForce = 5
Wolf.followDist = 2
Wolf.animGroup = 'wolf'

function Wolf:makeBig()
	self:setScale{3,3}
	self:setPosY(self:getPosY() - 1.3)
	-- and up the bbox.  what is it anyways?
	self:setBBox{min={-1,-1},max={1,1.25}}
	self.canBePickedUp = false
	self:setIgnoreEnts(false)
end

Spawnable(Wolf)

