--[[ and our different kinds of tiles ... hmm ... this will be oop to some degree
we have our blackouts - direct-set the color.  params: random color = dest color
then we have 3x3->color tiles, constraint based.  params: random 8 surrounding tile constraints {4colors+1misc}, dest color
then we have match-the-last-few-tiles-played tiles
--]]

handSize = 4	--linear
handHeight = 2

-- different colors that the board can be
colors = {
	{name='red', color=vec4:new(1,0,0,1), index=1};
	{name='green', color=vec4:new(0,1,0,1), index=2};
	{name='blue', color=vec4:new(0,0,1,1), index=3};
	{name='yellow', color=vec4:new(1,1,0,1), index=4};
}

colorsUsed = #colors

tileSize = vec2:new(3)

--[[
this is used clientside so i'm reading from scale and pos rather than using accessors.
some day i will find the power to unify them ... someday ...

placing this in 'vars' is an unfair title.  consider 'util' and having it include the old 'util'
--]]
function boxToWorld(self, src)
	if not src then src = self.bbox end	-- default param
	local b = box2:new(src)
	-- TODO - seriously reconsider reflection and engine-side metamethods
	local scale = self.scale or self:getScale()
	local pos = self.pos or self:getPos()
	b.min:mulTo(scale):addTo(pos)
	b.max:mulTo(scale):addTo(pos)
	return b
end
