--[[
in this file write 'initworld' as the string that the first map plays
fill 'baseinclude' with any files you always want to require in your lua scripts
'spritepaths' same deal for finding sprites
'texpaths' same deal with map textures
'mappaths' same deal with maps
'maptypes' is linked to the maps, enumerating the types used in the game.  it is specified here for level loading & parsing's sake
	currently in the engine 2D collision detection the assumption is made for maptypes: first is empty, second is solid, third is liquid.  i will fix this later.
--]]

require 'base.scripts.util'	-- for some extra table functions

-- client keys
-- I'm thinking they will soon be a per-mod thing, and later a engine-run config file (with gui and everything)
require 'controls'

require 'base.init'	-- basics - which construct the arrays - and the setmod function

mod = io.readfile('mod.cfg'):trim()
setmod(mod)

-- here is a switch.  include the module you want to run
--setmod 'battle'		-- Mario World / Super Mario World All Stars Battle Mode clone -- STILL HAS (C) STUFF IN IT
--setmod 'cs582'		-- attempt at a rpg ish game
--setmod 'data'			-- testbed / initial stuff	-- STILL HAS (C) STUFF IN IT
--setmod 'ddiad'		-- dripple diad
--setmod 'wellstory'	-- cavestory ripoff

--setmod 'bomberman'	-- bomberman clone
--setmod 'lolo'			-- lolo clone
--setmod 'bomblo'		-- mix it up

--setmod 'topview'		-- ffvi rip					-- STILL HAS (C) STUFF IN IT -- AND I BROKE IT (something with clients)
--setmod 'seangame'		-- an old basic port		-- STILL HAS (C) STUFF IN IT -- AND I BROKE IT (dialogPrompt replace needed)
--setmod 'arena'		-- ffvi rip mod testing net caps	-- STILL HAS (C) STUFF IN IT


--[[
networking consideration:
networking assumes the scripts are parallel
that will be true provided their versions are the same 
(otherwise the client will get assertion failures and die)
(consider an auto-updater later ... possibly ... so long as it doesn't overwrite good data)

either way
rather than require'ing your specific init here
how about we specify (and choose) the variable in-game (by listing dirs)
and from there run with it.
when clients connect, they'll get back a string for which mod to use
and subsequently they'll restart their game to reflect the desired mod.
- then scripts will be parallel
--]]
