require 'lolo.scripts.egg'
require 'lolo.scripts.chest'

animLoad('trogdor', 'trogdor.png')
entclass('Trogdor', Eggable)
Trogdor.animGroup = 'trogdor'
Trogdor.bbox = box2:new(.4)
Spawnable(Trogdor)

--
-- make them flip back and forth after the last heart is grabbed ... ?
--

Trogdor.FLIPTIME = 0.5	-- flip every one second
function Trogdor:think()
	Trogdor.super.think(self)
	if not self:isActive() then return end
	if Chest.isOpen then 
		if not self.lastFlipTime
			or getTime() - self.lastFlipTime > self.FLIPTIME
		then
			self:setLeft(not self:getLeft())
			self.lastFlipTime = getTime()
		end
	end
end
