-- cs582 / dog story

require 'cs582.scripts.player'
require 'base.scripts.gameapi'

-- with getStartSpawnObj overridden (which usually searches for an instance of this)
-- all this is used for is its spawnClient function, which just creates a new instance of its spawn class (Player)
--	with the parameters it is passed pasesd on through the ctor ...
GameAPI.clientSpawnClass = PlayerStart

-- overriding.  todo - oop ize me? and class register the GameAPI?
GameAPI.oldGetStartSpawnObj = GameAPI.getStartSpawnObj

function GameAPI:getStartSpawnObj()
	local s

	-- if we have a "coming from a door" session var then look for a door instead
	local destdoorname = persist.destdoorname
	if destdoorname then
		-- find the door
		local start = spawnObjFind('LevelDoor', nil)	-- start at the start
		s = start	-- first test our first one
		repeat
			if not s then break end	-- will this happen? or will it just go back to start?  i guess if start is nil too
			if destdoorname == '' or s.name == destdoorname then break end
			-- and if it doesnt work then cycle and check for loop.  todo make me an iterator!
			s = spawnObjFind('LevelDoor', start)	-- and loop through
		until s == start
	else
		-- look for the player's start
		s = self:oldGetStartSpawnObj()
	end
	
	return s
end



-- while we're here, fix the zscale ...
-- thanks to class flattening for inheritence, we have to do it to all children
require 'base.scripts.ents'
for clid,cl in pairs(_entClasses) do
	if cl:isa(Renderable) then
		cl.zScale = 0
	end
end


