--[[
todo - make this a database eventually
and only load what parts a local instance needs
maybe
eventually

sprite sets ...
 at the moment ...
  they coincide with animations, and should include menu sprites eventually too
it would be nice if there was some modularity here too ...
clothing, palettes, etc

how should we map them around?  unique ids proly
spawnobjects:
	TopviewClientViewStart
		clientUid	<- who we are in the client table
	Char
		clientUid	<- who we belong to in the client table
		charUid		<- who we are in the char table
		
...but this setup allows for multiple chars per client on the map
we just want 1-1 at most
how about we store char uid team info somewhere else
and just spawn the client's party char where the client is?
--]]

-- TODO - regen and re-index with offset-1 indexes.  equipLHand, equipRHand, equipBody, equipRelic1, equipRelic2

chars = {	-- name, sprite set, stats, etc
	-- ffvi
	{name='Terra'; animGroup='terra'; menuSprite=1; maxHP=40; maxMP=16; skills={1,4,3,2}; vigor=31; battleSpeed=33; stamina=28; magicPower=39; battlePower=12; battleDefense=42; magicDefense=33; battleEvade=5; magicEvade=7; equipLHand=2; equipRHand=91; equipHead=106; equipBody=133; equipRelic1=256; equipRelic2=256; level=1; spells={1,2,3}; };
	{name='Locke'; animGroup='locke'; menuSprite=2; maxHP=48; maxMP=7; skills={1,6,3,2}; vigor=37; battleSpeed=40; stamina=31; magicPower=28; battlePower=14; battleDefense=46; magicDefense=23; battleEvade=15; magicEvade=2; equipLHand=1; equipRHand=256; equipHead=106; equipBody=133; equipRelic1=256; equipRelic2=256; level=4; spells={}; };
	{name='Cyan'; animGroup='cyan'; menuSprite=3; maxHP=53; maxMP=5; skills={1,8,3,2}; vigor=40; battleSpeed=28; stamina=33; magicPower=25; battlePower=25; battleDefense=48; magicDefense=20; battleEvade=6; magicEvade=1; equipLHand=44; equipRHand=91; equipHead=106; equipBody=133; equipRelic1=256; equipRelic2=256; level=6; spells={}; };
	{name='Shadow'; animGroup='shadow'; menuSprite=4; maxHP=51; maxMP=6; skills={1,9,3,2}; vigor=39; battleSpeed=38; stamina=30; magicPower=33; battlePower=23; battleDefense=47; magicDefense=25; battleEvade=28; magicEvade=9; equipLHand=38; equipRHand=256; equipHead=256; equipBody=139; equipRelic1=256; equipRelic2=256; level=0; spells={}; };
	{name='Edgar'; animGroup='edgar'; menuSprite=5; maxHP=49; maxMP=6; skills={1,10,3,2}; vigor=39; battleSpeed=30; stamina=34; magicPower=29; battlePower=20; battleDefense=50; magicDefense=22; battleEvade=4; magicEvade=1; equipLHand=11; equipRHand=91; equipHead=106; equipBody=133; equipRelic1=256; equipRelic2=256; level=5; spells={}; };
	{name='Sabin'; animGroup='sabin'; menuSprite=6; maxHP=58; maxMP=3; skills={1,11,3,2}; vigor=47; battleSpeed=37; stamina=39; magicPower=28; battlePower=26; battleDefense=53; magicDefense=21; battleEvade=12; magicEvade=4; equipLHand=84; equipRHand=256; equipHead=106; equipBody=135; equipRelic1=256; equipRelic2=256; level=5; spells={}; };
	{name='Celes'; animGroup='celes'; menuSprite=7; maxHP=44; maxMP=15; skills={1,12,3,2}; vigor=34; battleSpeed=34; stamina=31; magicPower=36; battlePower=16; battleDefense=44; magicDefense=31; battleEvade=7; magicEvade=9; equipLHand=256; equipRHand=256; equipHead=107; equipBody=256; equipRelic1=256; equipRelic2=256; level=1; spells={}; };
	{name='Strago'; animGroup='strago'; menuSprite=8; maxHP=35; maxMP=13; skills={1,13,3,2}; vigor=28; battleSpeed=25; stamina=19; magicPower=34; battlePower=10; battleDefense=33; magicDefense=27; battleEvade=6; magicEvade=7; equipLHand=53; equipRHand=93; equipHead=108; equipBody=134; equipRelic1=256; equipRelic2=256; level=6; spells={}; };
	{name='Relm'; animGroup='relm'; menuSprite=9; maxHP=37; maxMP=18; skills={1,14,3,2}; vigor=26; battleSpeed=34; stamina=22; magicPower=44; battlePower=11; battleDefense=35; magicDefense=30; battleEvade=13; magicEvade=9; equipLHand=62; equipRHand=93; equipHead=108; equipBody=137; equipRelic1=220; equipRelic2=256; level=0; spells={}; };
	{name='Setzer'; animGroup='setzer'; menuSprite=10; maxHP=46; maxMP=9; skills={1,16,3,2}; vigor=36; battleSpeed=32; stamina=32; magicPower=29; battlePower=18; battleDefense=48; magicDefense=26; battleEvade=9; magicEvade=1; equipLHand=78; equipRHand=93; equipHead=111; equipBody=138; equipRelic1=256; equipRelic2=256; level=1; spells={}; };
	{name='Mog'; animGroup='mog'; menuSprite=11; maxHP=39; maxMP=16; skills={1,20,3,2}; vigor=29; battleSpeed=36; stamina=26; magicPower=35; battlePower=16; battleDefense=52; magicDefense=36; battleEvade=10; magicEvade=12; equipLHand=30; equipRHand=93; equipHead=256; equipBody=256; equipRelic1=256; equipRelic2=256; level=8; spells={}; };
	{name='Gau'; animGroup='gau'; menuSprite=12; maxHP=45; maxMP=10; skills={17,18,3,2}; vigor=44; battleSpeed=38; stamina=36; magicPower=34; battlePower=99; battleDefense=44; magicDefense=34; battleEvade=21; magicEvade=18; equipLHand=256; equipRHand=256; equipHead=256; equipBody=256; equipRelic1=256; equipRelic2=256; level=4; spells={}; };
	{name='Gogo'; animGroup='gogo'; menuSprite=13; maxHP=36; maxMP=12; skills={19,256,256,256}; vigor=25; battleSpeed=30; stamina=20; magicPower=26; battlePower=13; battleDefense=39; magicDefense=25; battleEvade=10; magicEvade=6; equipLHand=2; equipRHand=93; equipHead=108; equipBody=138; equipRelic1=256; equipRelic2=256; level=5; spells={}; };
	{name='Umaro'; animGroup='umaro'; menuSprite=14; maxHP=60; maxMP=0; skills={256,256,256,256}; vigor=57; battleSpeed=33; stamina=46; magicPower=37; battlePower=47; battleDefense=89; magicDefense=68; battleEvade=8; magicEvade=5; equipLHand=75; equipRHand=256; equipHead=256; equipBody=163; equipRelic1=256; equipRelic2=256; level=2; spells={}; };
		-- need menu and anim sprites for Banon
	{name='Banon'; animGroup='terra'; menuSprite=1; maxHP=46; maxMP=16; skills={1,27,256,2}; vigor=10; battleSpeed=24; stamina=11; magicPower=32; battlePower=6; battleDefense=56; magicDefense=51; battleEvade=36; magicEvade=32; equipLHand=60; equipRHand=256; equipHead=110; equipBody=137; equipRelic1=256; equipRelic2=256; level=31; spells={}; };
	{name='Leo'; animGroup='leo'; menuSprite=17; maxHP=50; maxMP=10; skills={1,28,256,2}; vigor=52; battleSpeed=38; stamina=41; magicPower=36; battlePower=60; battleDefense=63; magicDefense=41; battleEvade=22; magicEvade=21; equipLHand=21; equipRHand=95; equipHead=119; equipBody=144; equipRelic1=197; equipRelic2=212; level=26; spells={}; };
		-- Ghost1 -- needs animGroup and menuSprite		
	{name='??????'; animGroup='terra'; menuSprite=1; maxHP=26; maxMP=1; skills={1,29,256,2}; vigor=14; battleSpeed=15; stamina=10; magicPower=30; battlePower=22; battleDefense=66; magicDefense=52; battleEvade=0; magicEvade=0; equipLHand=256; equipRHand=256; equipHead=256; equipBody=256; equipRelic1=222; equipRelic2=256; level=20; spells={}; };
		-- Ghost2 -- needs animGroup and menuSprite		
	{name='??????'; animGroup='terra'; menuSprite=1; maxHP=20; maxMP=1; skills={1,29,256,2}; vigor=4; battleSpeed=8; stamina=2; magicPower=15; battlePower=10; battleDefense=17; magicDefense=11; battleEvade=0; magicEvade=0; equipLHand=256; equipRHand=256; equipHead=256; equipBody=256; equipRelic1=222; equipRelic2=256; level=30; spells={}; };
	{name='Kupek'; animGroup='mog'; menuSprite=11; maxHP=50; maxMP=9; skills={1,256,256,2}; vigor=18; battleSpeed=11; stamina=12; magicPower=33; battlePower=35; battleDefense=47; magicDefense=27; battleEvade=7; magicEvade=5; equipLHand=30; equipRHand=91; equipHead=256; equipBody=256; equipRelic1=256; equipRelic2=256; level=23; spells={}; };
	{name='Kupop'; animGroup='mog'; menuSprite=11; maxHP=54; maxMP=9; skills={1,256,256,2}; vigor=18; battleSpeed=14; stamina=12; magicPower=33; battlePower=1; battleDefense=38; magicDefense=26; battleEvade=7; magicEvade=5; equipLHand=71; equipRHand=91; equipHead=256; equipBody=256; equipRelic1=256; equipRelic2=256; level=19; spells={}; };
	
	-- TODO: haven't readjusted any of the equipment past here -- gotta do that yourself (starting at 0x2D8058 incl 0x200 header)
	{name='Kumama'; animGroup='mog'; menuSprite=11; maxHP=48; maxMP=9; skills = {1, 0, 0, 2}; vigor=18; battleSpeed=14; stamina=12; magicPower=33; battlePower=1; battleDefense=42; magicDefense=33; battleEvade=7; magicEvade=5; equipLHand=84; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=19; spells={}; };
	{name='Kuku'; animGroup='mog'; menuSprite=11; maxHP=64; maxMP=9; skills = {1, 0, 0, 2}; vigor=17; battleSpeed=14; stamina=12; magicPower=33; battlePower=11; battleDefense=40; magicDefense=32; battleEvade=7; magicEvade=5; equipLHand=68; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=31; spells={}; };
	{name='Kutan'; animGroup='mog'; menuSprite=11; maxHP=55; maxMP=9; skills = {1, 0, 0, 2}; vigor=16; battleSpeed=14; stamina=12; magicPower=33; battlePower=11; battleDefense=44; magicDefense=29; battleEvade=7; magicEvade=5; equipLHand=10; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=19; spells={}; };
	{name='Kupan'; animGroup='mog'; menuSprite=11; maxHP=51; maxMP=9; skills = {1, 0, 0, 2}; vigor=20; battleSpeed=14; stamina=12; magicPower=33; battlePower=21; battleDefense=45; magicDefense=30; battleEvade=7; magicEvade=5; equipLHand=69; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=23; spells={}; };
	{name='Kushu'; animGroup='mog'; menuSprite=11; maxHP=52; maxMP=9; skills = {1, 0, 0, 2}; vigor=24; battleSpeed=14; stamina=12; magicPower=33; battlePower=27; battleDefense=41; magicDefense=31; battleEvade=7; magicEvade=5; equipLHand=61; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=23; spells={}; };
	{name='Kurin'; animGroup='mog'; menuSprite=11; maxHP=53; maxMP=9; skills = {1, 0, 0, 2}; vigor=19; battleSpeed=14; stamina=12; magicPower=33; battlePower=20; battleDefense=41; magicDefense=31; battleEvade=7; magicEvade=5; equipLHand=29; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=19; spells={}; };
	{name='Kuru'; animGroup='mog'; menuSprite=11; maxHP=50; maxMP=9; skills = {1, 0, 0, 2}; vigor=17; battleSpeed=14; stamina=12; magicPower=33; battlePower=44; battleDefense=27; magicDefense=19; battleEvade=7; magicEvade=5; equipLHand=10; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=19; spells={}; };
	{name='Kamog'; animGroup='mog'; menuSprite=11; maxHP=53; maxMP=9; skills = {1, 0, 0, 2}; vigor=20; battleSpeed=14; stamina=12; magicPower=33; battlePower=11; battleDefense=40; magicDefense=33; battleEvade=7; magicEvade=5; equipLHand=71; equipRHand=90; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=23; spells={}; };
		-- scenerio select mog
	{name='Mog'; animGroup='mog'; menuSprite=11; maxHP=12; maxMP=34; skills = {0, 0, 0, 0}; vigor=12; battleSpeed=12; stamina=12; magicPower=12; battlePower=12; battleDefense=12; magicDefense=12; battleEvade=12; magicEvade=12; equipLHand=255; equipRHand=255; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=27; spells={}; };
		-- Terra
	{name='??????'; animGroup='terra'; menuSprite=1; maxHP=0; maxMP=0; skills = {1, 1, 1, 1}; vigor=0; battleSpeed=0; stamina=0; magicPower=0; battlePower=0; battleDefense=0; magicDefense=0; battleEvade=0; magicEvade=0; equipLHand=0; equipRHand=0; equipHead=0; equipBody=0; equipRelic1=0; equipRelic2=0; level=0; spells={}; };
		-- Maduin needs animGroup and menuSprite
	{name='Maduin'; animGroup='terra'; menuSprite=1; maxHP=10; maxMP=10; skills = {0, 0, 0, 0}; vigor=30; battleSpeed=30; stamina=30; magicPower=30; battlePower=30; battleDefense=30; magicDefense=30; battleEvade=30; magicEvade=30; equipLHand=255; equipRHand=255; equipHead=255; equipBody=255; equipRelic1=230; equipRelic2=255; level=0; spells={}; };
		-- ... need to look this one up
	{name='??????'; animGroup='terra'; menuSprite=1; maxHP=51; maxMP=6; skills = {1, 0, 3, 0}; vigor=40; battleSpeed=40; stamina=30; magicPower=35; battlePower=25; battleDefense=49; magicDefense=27; battleEvade=30; magicEvade=12; equipLHand=39; equipRHand=92; equipHead=116; equipBody=138; equipRelic1=255; equipRelic2=255; level=4; spells={}; };
	{name='Wedge'; animGroup='soldier'; menuSprite=15; maxHP=68; maxMP=0; skills = {1, 0, 0, 2}; vigor=40; battleSpeed=35; stamina=46; magicPower=29; battlePower=24; battleDefense=77; magicDefense=50; battleEvade=15; magicEvade=0; equipLHand=10; equipRHand=90; equipHead=105; equipBody=132; equipRelic1=255; equipRelic2=255; level=29; spells={}; };
	{name='Vicks'; animGroup='soldier'; menuSprite=15; maxHP=70; maxMP=0; skills = {1, 0, 0, 2}; vigor=41; battleSpeed=36; stamina=45; magicPower=28; battlePower=27; battleDefense=79; magicDefense=50; battleEvade=12; magicEvade=0; equipLHand=10; equipRHand=90; equipHead=105; equipBody=132; equipRelic1=255; equipRelic2=255; level=29; spells={}; };
		-- all Kefkas need animGroup and menuSprite
		-- Terra's flashback and imperial camp
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=14; maxMP=17; skills = {0, 0, 0, 0}; vigor=14; battleSpeed=26; stamina=18; magicPower=22; battlePower=7; battleDefense=42; magicDefense=36; battleEvade=50; magicEvade=40; equipLHand=70; equipRHand=255; equipHead=116; equipBody=137; equipRelic1=202; equipRelic2=255; level=16; spells={}; };
		-- Esper Cave
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=255; maxMP=17; skills = {0, 0, 0, 0}; vigor=15; battleSpeed=15; stamina=15; magicPower=15; battlePower=15; battleDefense=50; magicDefense=50; battleEvade=10; magicEvade=10; equipLHand=70; equipRHand=255; equipHead=116; equipBody=137; equipRelic1=202; equipRelic2=255; level=20; spells={}; };
		-- Thamasa attack
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=50; maxMP=50; skills = {0, 0, 0, 0}; vigor=80; battleSpeed=80; stamina=80; magicPower=80; battlePower=80; battleDefense=180; magicDefense=180; battleEvade=60; magicEvade=60; equipLHand=70; equipRHand=103; equipHead=255; equipBody=255; equipRelic1=202; equipRelic2=255; level=20; spells={}; };
		-- Dummy kefkas...
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=22; maxMP=17; skills = {0, 0, 0, 0}; vigor=15; battleSpeed=15; stamina=15; magicPower=15; battlePower=15; battleDefense=50; magicDefense=50; battleEvade=10; magicEvade=10; equipLHand=70; equipRHand=255; equipHead=116; equipBody=137; equipRelic1=202; equipRelic2=255; level=20; spells={}; };
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=34; maxMP=17; skills = {0, 0, 0, 0}; vigor=15; battleSpeed=15; stamina=15; magicPower=15; battlePower=15; battleDefense=50; magicDefense=50; battleEvade=10; magicEvade=10; equipLHand=70; equipRHand=255; equipHead=116; equipBody=137; equipRelic1=202; equipRelic2=255; level=20; spells={}; };
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=14; maxMP=17; skills = {0, 0, 0, 0}; vigor=15; battleSpeed=15; stamina=15; magicPower=15; battlePower=15; battleDefense=50; magicDefense=50; battleEvade=10; magicEvade=10; equipLHand=255; equipRHand=255; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=16; spells={}; };
	{name='Kefka'; animGroup='leo'; menuSprite=17; maxHP=14; maxMP=17; skills = {0, 0, 0, 0}; vigor=15; battleSpeed=15; stamina=15; magicPower=15; battlePower=15; battleDefense=50; magicDefense=50; battleEvade=10; magicEvade=10; equipLHand=255; equipRHand=255; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=16; spells={}; };

	-- arena temp chars
	{name='Soldier'; animGroup='soldier'; menuSprite=15; maxHP=68; maxMP=0; skills = {1, 0, 0, 2}; vigor=40; battleSpeed=35; stamina=46; magicPower=29; battlePower=24; battleDefense=77; magicDefense=50; battleEvade=15; magicEvade=0; equipLHand=10; equipRHand=90; equipHead=105; equipBody=132; equipRelic1=255; equipRelic2=255; level=29; spells={}; };
	{name='Imp'; animGroup='imp'; menuSprite=16; maxHP=12; maxMP=34; skills = {0, 0, 0, 0}; vigor=12; battleSpeed=12; stamina=12; magicPower=12; battlePower=12; battleDefense=12; magicDefense=12; battleEvade=12; magicEvade=12; equipLHand=255; equipRHand=255; equipHead=255; equipBody=255; equipRelic1=255; equipRelic2=255; level=27; spells={}; };

	-- topview
	{name='Selatine'; animGroup='terra'; menuSprite=1; maxHP=40; maxMP=16; skills={1, 4, 3, 2}; vigor=31; battleSpeed=33; stamina=28; magicPower=39; battlePower=12; battleDefense=42; magicDefense=33; battleEvade=5; magicEvade=7; equipLHand=1; equipRHand=90; equipHead=105; equipBody=132; equipRelic1=255; equipRelic2=255; level=1; spells={}; };
	{name='Paris'; animGroup='setzer'; menuSprite=10; maxHP=46; maxMP=9; skills={1, 16, 3, 2}; vigor=36; battleSpeed=32; stamina=32; magicPower=29; battlePower=18; battleDefense=48; magicDefense=26; battleEvade=9; magicEvade=1; equipLHand=77; equipRHand=92; equipHead=110; equipBody=137; equipRelic1=255; equipRelic2=255; level=1; spells={}; };
	{name='CaptainEdalpho'; animGroup='leo'; menuSprite=17; maxHP=53; maxMP=5; skills={1, 8, 3, 2}; vigor=40; battleSpeed=28; stamina=33; magicPower=25; battlePower=25; battleDefense=48; magicDefense=20; battleEvade=6; magicEvade=1; equipLHand=43; equipRHand=90; equipHead=105; equipBody=132; equipRelic1=255; equipRelic2=255; level=6; spells={}; };
	{name='Officer1'; animGroup='soldier'; menuSprite=15; maxHP=37; maxMP=18; skills={1, 14, 3, 2}; vigor=26; battleSpeed=34; stamina=22; magicPower=44; battlePower=11; battleDefense=35; magicDefense=30; battleEvade=13; magicEvade=9; equipLHand=61; equipRHand=92; equipHead=107; equipBody=136; equipRelic1=219; equipRelic2=255; level=0; spells={}; };
	{name='Officer2'; animGroup='soldier'; menuSprite=15; maxHP=37; maxMP=18; skills={1, 14, 3, 2}; vigor=26; battleSpeed=34; stamina=22; magicPower=44; battlePower=11; battleDefense=35; magicDefense=30; battleEvade=13; magicEvade=9; equipLHand=61; equipRHand=92; equipHead=107; equipBody=136; equipRelic1=219; equipRelic2=255; level=0; spells={}; };
}
charToIndex = {}
charFromName = {}
for i,ch in ipairs(chars) do
	ch.uid = i
	ch.hp = ch.maxHP
	ch.mp = ch.maxMP
	-- replace the index with a handle...
	ch.menuSprite = spriteLoad('ffvi_sprites/group'..(ch.menuSprite-1)..'_menu.png')
	charToIndex[ch] = i
	-- give precedence to the first
	if not charFromName[ch.name] then charFromName[ch.name] = ch end
end

